title: Atlassian
file_name: atlassian
single_tool_data:
  single_tool: false
  single_tool_category: manage
logo: /images/comparisons/atlassian-icon.png
manage:
  Project-level permissioning: 2
  Role-based Access Control: 2
  Self-service onboarding: 1
  Audit reporting: 1
  Group-level permissioning: 2
  Data export: 1
  2FA: 2
  Operational DevOps metrics: 1
  Custom issue analytics: 2
  Value stream management: 1
  Compliance framework enforcement: 1
  DevOps Adoption reorts: 0
  Audit logging: 1
  Data import: 1
  LDAP/AD integration: 2
plan:
  Sprint planning: 2
  Capacity planning: 2
  Workflow Management: 2
  Global Search: 1
  Design Management: 0
  Extensibility: 2
  Issue Management: 2
  Enterprise readiness: 2
  Operational Metrics / Value Stream: 1
  Boards: 2
  Enterprise Framework Support: 2
  Requirements Management: 0
  Roadmaps: 2
  Cost Tracking & Estimation: 1
  Work Item Relationships: 1
  End-to-end visibility / traceability: 1
source-code-management:
  Change Approvals: 2
  Protected branches: 2
  Mirroring: 1
  Capacity planning: 0
  Project and File Templates: 0
  "Scalable, Fault-Tolerant Git Storage": 1
  Git LFS: 2
  Code Review: 2
  Commit Graphs: 0
  Push Rules: 2
  Live Preview: 0
  Git-Based SCM: 2
  Snippets: 2
  Signed Commits: 2
  Partial Clone: 0
  Web IDE: 0
continuous-integration:
  Integration testing: 2
  Pipeline visualization: 0
  Compliance and audit controls: 2
  Enterprise readiness: 0
  Build parallelization: 0
  "Linters, scanners, and syntax validation included": 1
  Dynamic pipelines: 0
  Configuration-as-code: 2
  Unit testing and static code analysis: 2
  Pipeline status logs and analytics for reporting: 2
  Embedded security scans in CI pipeline: 1
  CI pipeline templates: 2
  Multi-cloud w/ cloud native support: 2
  "SaaS, On-prem, and hybrid installation": 2
  Load and performance testing: 2
  Ease of use/setup: 2
  Pipeline scheduling and monitoring: 2
package:
  Searchable artifacts: 2
  Dependency scanning: 2
  "Top package formats supported (npm, maven, pyi, etc.)": 1
  Storage management: 1
  Enterprise readiness: 2
  Virtual Registry: 0
  Dependency Firewall: 0
  Package Registry: 1
  High Availability: 2
  API: 2
  Container registry: 1
  Geo Replication: 2
  Certified dependencies (or images): 0
secure:
  Vulnerability mgmt: 0
  Dependency Scanning: 0
  Secrets detection: 0
  SBOM (dependency list): 0
  Code Quality: 0
  Compliance dashboard: 0
  SAST: 0
  Container Scanning: 0
  MR approvals: 2
  License Compliance: 0
  compliance frameworks: 0
  API fuzz test: 0
  DAST: 0
  Vulnerability database: 0
  coverage guided fuzz testing: 0
continuous-delivery:
  Deployment pipeline visualization: 2
  incremental roll-out: 0
  "Support for traditional deployment targets - physical, virtual machines, mainframes": 1
  Roll back: 2
  "DORA metrics (Mean time for changes, MTTR, Change Failure Rate, Deployment Frequency)": 1
  Canary deployment: 0
  Static Site Hosting: 2
  Environments dashboard: 2
  Blue-green deployment: 0
  MR approvals: 2
  Feature flags: 1
  Release versioning and evidence: 2
  Support for cloud native deployment targets: 2
  Runbooks: 2
configure:
  Infrastructure/ Config/ Policies etc as code: 2
  Integration with IaC tools like Terraform: 1
  "Configure physical, virtual, cloud infrastructures": 1
  Configure cloud native environments: 2
  Detect and remediate configuration drift: 0
  Secure Kubernetes Integration: 0
  Push and Pull actions: 1
monitor:
  Synthetic monitoring: 0
  Log monitoring: 0
  Distributed Tracing: 0
  Load performance testing: 0
  Alert Management: 2
  Application performance monitoring: 0
  Integrations with established incident management tools: 2
  Digital experience monitoring (real user monitoring): 0
  Incident Management: 2
  Automated discovery & mapping: 0
  Infrastructure Performance monitoring: 0
  Mobile Performance Monitoring: 0
protect:
  "container host security:": 0
  container network security: 0
  container scanning: 0
  security orchestration (runtime policies): 0
